
From: Mikael Pettersson <mikpe@csd.uu.se>

Perfctr sysfs update part 4/4:
- Remove sys_perfctr_info() from ppc32.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/misc.S   |    5 ++---
 25-akpm/include/asm-ppc/unistd.h |   13 ++++++-------
 2 files changed, 8 insertions(+), 10 deletions(-)

diff -puN arch/ppc/kernel/misc.S~perfctr-sysfs-update-4-4-ppc32 arch/ppc/kernel/misc.S
--- 25/arch/ppc/kernel/misc.S~perfctr-sysfs-update-4-4-ppc32	2005-02-22 18:17:44.000000000 -0800
+++ 25-akpm/arch/ppc/kernel/misc.S	2005-02-22 18:17:44.000000000 -0800
@@ -1450,9 +1450,8 @@ _GLOBAL(sys_call_table)
 	.long sys_add_key
 	.long sys_request_key		/* 270 */
 	.long sys_keyctl
-	.long sys_perfctr_info
 	.long sys_vperfctr_open
 	.long sys_vperfctr_control
-	.long sys_vperfctr_unlink	/* 275 */
-	.long sys_vperfctr_iresume
+	.long sys_vperfctr_unlink
+	.long sys_vperfctr_iresume	/* 275 */
 	.long sys_vperfctr_read
diff -puN include/asm-ppc/unistd.h~perfctr-sysfs-update-4-4-ppc32 include/asm-ppc/unistd.h
--- 25/include/asm-ppc/unistd.h~perfctr-sysfs-update-4-4-ppc32	2005-02-22 18:17:44.000000000 -0800
+++ 25-akpm/include/asm-ppc/unistd.h	2005-02-22 18:17:44.000000000 -0800
@@ -276,14 +276,13 @@
 #define __NR_add_key		269
 #define __NR_request_key	270
 #define __NR_keyctl		271
-#define __NR_perfctr_info	272
-#define __NR_vperfctr_open	(__NR_perfctr_info+1)
-#define __NR_vperfctr_control	(__NR_perfctr_info+2)
-#define __NR_vperfctr_unlink	(__NR_perfctr_info+3)
-#define __NR_vperfctr_iresume	(__NR_perfctr_info+4)
-#define __NR_vperfctr_read	(__NR_perfctr_info+5)
+#define __NR_vperfctr_open	272
+#define __NR_vperfctr_control	(__NR_vperfctr_open+1)
+#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
+#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
 
-#define __NR_syscalls		278
+#define __NR_syscalls		277
 
 #define __NR(n)	#n
 
_
